[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.UpdateWSIcon

Updates the widgetset class with the values in HasIcon and Bitmap.

## Declaration

Source position: menus.pp line 254

`protected procedure TMenuItem.UpdateWSIcon;`

## Description

UpdateWSIcon is a method used to update the widgetset class to reflect the values from HasIcon and the Bitmap property. HasIcon returns True when a bitmap is available and in use for the menu item. Bitmap contains the image displayed for the menu item, and may be Nil when HasIcon returns False.

UpdateWSIcon requires a valid Handle for the menu item. No actions are performed in the method when Handle has not been allocated for the menu item.

UpdateWSIcon is called when a value is assigned to the Bitmap or ImageIndex property, and from the UpdateImage method.